#include "marketplace.h"
#include "database.h"

Marketplace::Marketplace()
{
    auto seller = std::make_unique<Seller>("Max", "Mustermann");
    sellers_.push_back(std::move(seller));
}

void Marketplace::storeToDb()
{
    const std::string DB_PATH{"/tmp/kima2.db"};

    Database db(DB_PATH);
    db.storeSellers(sellers_);
}

std::vector<std::unique_ptr<Seller>>& Marketplace::getSellers() { return sellers_; }